There's a lot of open issues
HttpClient instrumentation for the OpenTelemetry framework
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
2023
 Dependencies
 Project Readme

OpenTelemetry Ruby Contrib

Slack channel CI Apache License

Contrib Packages for the OpenTelemetry Ruby API and SDK implementation.

  • Getting Started
  • Contributing
  • Instrumentation Libraries
  • Versioning
  • Useful links
  • License

Contributing

We'd love your help! Use tags good first issue and help wanted to get started with the project.

Please review the contribution instructions for important information on setting up your environment, running the tests, and opening pull requests.

The Ruby special interest group (SIG) meets regularly. See the OpenTelemetry community page repo for information on this and other language SIGs.

Approvers (@open-telemetry/ruby-contrib-approvers):

  • (Could your name appear here?)

Find more about the approver role in community repository.

Maintainers (@open-telemetry/ruby-contrib-maintainers):

Find more about the maintainer role in community repository.

Instrumentation Libraries

This repository contains instrumentation libraries for many popular Ruby gems, including Rails, Rack, Sinatra, and others, so you can start using OpenTelemetry with minimal changes to your application. See the instrumentation README for more details.

Additional Libraries

This repository also contains libraries to aid with interoperablity with vendor specific tracing solutions:

Versioning

OpenTelemetry Ruby follows the versioning and stability document in the OpenTelemetry specification. Notably, we adhere to the outlined version numbering exception, which states that experimental signals may have a 0.x version number.

Library Compatability

This project is managed on a volunteer basis and therefore we have limited capacity to support compatability with unmaintained or EOL libraries.

We will regularly review the instrumentations to drop compatability for any versions of Ruby or gems that reach EOL or no longer receive regular maintenance.

Should you need instrumentation for older versions of a library then you must pin to a specific version of the instrumentation that supports it, however, you will no longer receive any updates for the instrumentation from this repository.

When a release series is no longer supported, it's your own responsibility to deal with bugs and security issues. We may provide backports of the fixes and publish them to git, however there will be no new versions released. If you are not comfortable maintaining your own versions, you should upgrade to a supported version. https://guides.rubyonrails.org/maintenance_policy.html#security-issues

Consult instrumentation gem's README file and gemspec for details about library compatability.

Releases

This repository was extracted from the OpenTelemetry Ruby repository. Versions of libraries contained in this repo released prior to 2022-06-13 are available on the OpenTelemetry Ruby Releases page. Newer versions are available here

Useful links

License

Apache 2.0 - See LICENSE for more information.